<?php
/**
 *
 * Backend view
 *
 * @package halloween-panda
 * @subpackage _views
 * @since Halloween Panda 1.0.0
 */

defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

?>

<div class="pix-halloween-panda">
	<div class="pix-hp-header">
		<div class="logo">
			<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/hp-logo.png" alt="Halloween Panda logo" />
		</div>
	</div>

	<div class="pix-hp-tabs">
		<a class="<?php echo ! $tab_section || 'general' == $tab_section ? 'active' : ''; ?>" href="<?php echo esc_url( admin_url() ) . 'admin.php?page=pix-halloween-panda'; ?>"><?php esc_html_e( 'General', 'halloween-panda' ); ?></a>
		<a class="<?php echo 'monsterfall' == $tab_section ? 'active' : ''; ?>" href="<?php echo esc_url( admin_url() ) . 'admin.php?page=pix-halloween-panda&section=monsterfall'; ?>"><?php esc_html_e( 'Monsterfall', 'halloween-panda' ); ?></a>
		<a class="<?php echo 'popups' == $tab_section ? 'active' : ''; ?>" href="<?php echo esc_url( admin_url() ) . 'admin.php?page=pix-halloween-panda&section=popups'; ?>"><?php esc_html_e( 'Pop-ups', 'halloween-panda' ); ?></a>
		<a class="" href="<?php echo esc_url( 'https://pixolette.com?ref=chr' ); ?>" target="_blank"><?php esc_html_e( 'Author', 'halloween-panda' ); ?></a>
		<a class="likeus" href="https://pixolette.com/plugins/halloween-panda/" target="_blank"></a>
		<div class="clear"></div>
	</div>
	<div class="pix-hp-body">
		<div class="pxl-cp-left-col">
			<form action="" method="post" id="px-hp-form">
				<?php
				switch ( $tab_section ) :
					default:
						?>
						<div class="pix-hp-row">
							<p class="pix-hp-italic"><?php esc_html_e( 'Here you can choose to display a row of pumpkins/ghosts/carrots on the top or bottom of the page', 'halloween-panda' ); ?></p>
						</div>
						<div class="pix-hp-row">
							<h3><?php esc_html_e( 'Is active?', 'halloween-panda' ); ?></h3>
							<label class="fw-label">
								<input type="radio" name="px_hp_is_active" value="yes" <?php echo 'yes' == $hp_options->px_hp_is_active || ! $hp_options->px_hp_is_active ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Yes', 'halloween-panda' ); ?>
							</label>
							<label class="fw-label">
								<input type="radio" name="px_hp_is_active" value="no" <?php echo 'no' == $hp_options->px_hp_is_active ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'No', 'halloween-panda' ); ?>
							</label>
							<div class="clear"></div>
						</div>
						<hr/>

						<div class="pix-hp-row">
							<h3><?php esc_html_e( 'Display type:' ); ?></h3>
							<label class="label-with-image">
								<input type="radio" name="px_hp_display_type" value="pumpkins" <?php echo 'pumpkins' == $hp_options->px_hp_display_type || ! $hp_options->px_hp_display_type ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Pumpkins', 'halloween-panda' ); ?>
								<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/pumpkins.jpg" alt="Display type: Pumpkins" class="px-hp-display-type-img"/>
							</label>
							<label class="label-with-image">
								<input type="radio" name="px_hp_display_type" value="ghosts" <?php echo 'ghosts' == $hp_options->px_hp_display_type ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Ghosts', 'halloween-panda' ); ?>
								<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/ghosts.jpg" alt="Display type: Ghosts" class="px-hp-display-type-img"/>
							</label>
							<label class="label-with-image">
								<input type="radio" name="px_hp_display_type" value="carrots" <?php echo 'carrots' == $hp_options->px_hp_display_type ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Carrots', 'halloween-panda' ); ?>
								<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/carrots.jpg" alt="Display type: Carrots" class="px-hp-display-type-img"/>
							</label>
							<div class="clear"></div>
							<label class="label-with-image">
								<input type="radio" name="px_hp_display_type" value="dark_world" <?php echo 'dark_world' == $hp_options->px_hp_display_type ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Dark world', 'halloween-panda' ); ?>
								<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/dark_world.png" alt="Display type: Dark World" class="px-hp-display-type-img"/>
							</label>
							<label class="label-with-image">
								<input type="radio" name="px_hp_display_type" value="animation" <?php echo 'animation' == $hp_options->px_hp_display_type ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Animation', 'halloween-panda' ); ?>
								<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/animation.gif" alt="Display type: Animation" class="px-hp-display-type-img"/>
							</label>
							<div class="clear"></div>
						</div>
						<hr/>

						<div class="pix-hp-row">
							<h3><?php esc_html_e( 'Display location', 'halloween-panda' ); ?></h3>
							<label class="fw-label">
								<input type="radio" name="px_hp_display_position" value="bottom" <?php echo 'bottom' == $hp_options->px_hp_display_position || ! $hp_options->px_hp_display_position ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Bottom', 'halloween-panda' ); ?>
							</label>
							<label class="fw-label">
								<input type="radio" name="px_hp_display_position" value="top" <?php echo 'top' == $hp_options->px_hp_display_position ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Top', 'halloween-panda' ); ?>
							</label>
							<div class="clear"></div>
						</div>
						<hr/>

						<div class="pix-hp-row">
							<h3><?php esc_html_e( 'It is sticky?', 'halloween-panda' ); ?></h3>
							<label class="fw-label">
								<input type="radio" name="px_hp_is_fixed" value="yes" <?php echo 'yes' == $hp_options->px_hp_is_fixed || ! $hp_options->px_hp_is_fixed ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Yes', 'halloween-panda' ); ?>
							</label>
							<label class="fw-label">
								<input type="radio" name="px_hp_is_fixed" value="no" <?php echo 'no' == $hp_options->px_hp_is_fixed ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'No', 'halloween-panda' ); ?>
							</label>
							<div class="clear"></div>
						</div>
						<input type="hidden" name="pix-hp-section" value="pix-hp-general" />
						<hr/>
						<?php
						break;
					case 'monsterfall':
						?>
						<div class="pix-hp-row">
							<h3><?php esc_html_e( 'Display monsterfall? (like snowfall, but with pumpkins, ghosts and bats)', 'halloween-panda' ); ?></h3>
							<label class="label-with-image">
								<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/pumpkins_fall_demo.jpg" alt="Halloween Panda Fall" />
							</label>
							<div class="clear"></div>
							<label class="fw-label">
								<input type="radio" name="px_hp_pumpkin_fall" value="no" <?php echo 'no' == $hp_options->px_hp_pumpkin_fall || ! $hp_options->px_hp_pumpkin_fall ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'No', 'halloween-panda' ); ?>
							</label>
							<label class="fw-label">
								<input type="radio" name="px_hp_pumpkin_fall" value="yes" <?php echo 'yes' == $hp_options->px_hp_pumpkin_fall ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Yes', 'halloween-panda' ); ?>
							</label>
							<div class="clear"></div>
						</div>

						<input type="hidden" name="pix-hp-section" value="pix-hp-monsterfall" />
						<hr/>
					<?php
					break;

					case 'popups':
						?>
						<div class="pix-hp-row">
							<h3><?php esc_html_e( 'Display popup?', 'halloween-panda' ); ?></h3>
							<div class="clear"></div>
							<label class="fw-label">
								<input type="radio" name="px_hp_display_popup" value="no" <?php echo 'no' == $hp_options->px_hp_display_popup || ! $hp_options->px_hp_display_popup ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'No', 'halloween-panda' ); ?>
							</label>
							<label class="fw-label">
								<input type="radio" name="px_hp_display_popup" value="yes" <?php echo 'yes' == $hp_options->px_hp_display_popup ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Yes', 'halloween-panda' ); ?>
							</label>
							<div class="clear"></div>
						</div>
						<hr/>

						<div class="pix-hp-row">
							<div class="pix-hp-row">
								<h3><?php esc_html_e( 'Pop-up type:' ); ?></h3>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="1" <?php echo '1' == $hp_options->px_hp_popup_type || ! $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_1.jpg" alt="Halloween Popup 1" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="2" <?php echo '2' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_2.png" alt="Halloween Popup 2" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="3" <?php echo '3' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_3.jpg" alt="Halloween popup 3" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="4" <?php echo '4' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_4.jpg" alt="Halloween popup 4" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="5" <?php echo '5' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_5.jpg" alt="Halloween popup 5" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="6" <?php echo '6' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_6.jpg" alt="Halloween popup 6" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="7" <?php echo '7' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_7.jpg" alt="Halloween popup 7" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="8" <?php echo '8' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_8.jpg" alt="Halloween popup 8" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="9" <?php echo '9' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_9.png" alt="Halloween popup 9" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="10" <?php echo '10' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_10.gif" alt="Halloween popup 10" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="11" <?php echo '11' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_11.gif" alt="Halloween popup 11" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="12" <?php echo '12' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_12.gif" alt="Halloween popup 12" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="13" <?php echo '13' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_13.gif" alt="Halloween popup 13" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="14" <?php echo '14' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_14.gif" alt="Halloween popup 14" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="15" <?php echo '15' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_15.gif" alt="Halloween popup 15" class="px-hp-display-type-img"/>
								</label>
								<label class="label-with-image">
									<input type="radio" name="px_hp_popup_type" value="16" <?php echo '16' == $hp_options->px_hp_popup_type ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo esc_url( PIX_HAL_PAN_URL ); ?>assets/images/popup_16.gif" alt="Halloween popup 16" class="px-hp-display-type-img"/>
								</label>
								<div class="clear"></div>
							</div>
						</div>
						<hr/>

						<div class="pix-hp-row">
							<h3><?php esc_html_e( 'Pop-up position?', 'halloween-panda' ); ?></h3>
							<div class="clear"></div>
							<label class="fw-label">
								<input type="radio" name="px_hp_popup_position" value="right" <?php echo 'right' == $hp_options->px_hp_popup_position || ! $hp_options->px_hp_display_popup ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Bottom right corner', 'halloween-panda' ); ?>
							</label>
							<label class="fw-label">
								<input type="radio" name="px_hp_popup_position" value="left" <?php echo 'left' == $hp_options->px_hp_popup_position ? 'checked="checked"' : ''; ?>><?php esc_html_e( 'Bottom left corner', 'halloween-panda' ); ?>
							</label>
							<div class="clear"></div>
						</div>

						<input type="hidden" name="pix-hp-section" value="pix-hp-popups" />
						<hr/>
					<?php
					break;
				endswitch;
				?>
				<div class="pix-hp-row">
					<input type="submit" id="pix-hp-form-submit" value="<?php esc_attr_e( 'Save', 'halloween-panda' ); ?>">
				</div>
			</form>
		</div>

		<div class="px-plugin-sidebar">
			<div class="block-section">
                <a href="https://pixolette.com" target="_blank" rel="nofollow noopener">
				    <img src="<?php echo esc_url( PIX_HAL_PAN_URL . 'assets/images/pixolette-logo.png' ); ?>" alt="<?php esc_attr_e( 'Pixolette Logo', 'halloween-panda' ); ?>"/>
                </a>
			</div>
			<hr class="silver"/>
			<div class="block-section">
				<h2><?php echo esc_attr( 'Need Help?', 'halloween-panda' ); ?></h2>
				<a class="underline" target="_blank" href="<?php echo esc_url( 'https://wordpress.org/support/plugin/halloween-panda' ); ?>" rel="nofollow noopener"><?php echo esc_attr( 'Support forum', 'halloween-panda' ); ?></a><br/>
				<a class="underline" target="_blank" href="<?php echo esc_url( 'https://pixolette.com/contact/' ); ?>" rel="nofollow noopener"><?php echo esc_attr( 'Contact us for customization', 'halloween-panda' ); ?></a><br/>
				<a class="underline" target="_blank" href="<?php echo esc_url( 'https://pixolette.com/wordpress-plugins?ref=chrp' ); ?>" rel="nofollow noopener"><?php echo esc_attr( 'WordPress Plugins by Pixolette', 'halloween-panda' ); ?></a><br/>
				<a class="underline" target="_blank" href="<?php echo esc_url( 'https://pixolette.com/wordpress-themes?ref=chrt' ); ?>" rel="nofollow noopener"><?php echo esc_attr( 'WordPress Themes by Pixolette', 'halloween-panda' ); ?></a><br/>
			</div>
			<hr/>
			<div class="block-section">
				<p><?php esc_attr_e( 'Do you like how this plugin serves you? Rate it', 'halloween-panda' ); ?> <a href="https://wordpress.org/support/plugin/halloween-panda/reviews/#new-post" target="_blank"><?php esc_attr_e( 'on this link', 'halloween-panda' ); ?></a></p>
			</div>
		</div>
	</div>
</div>
